package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @program: mec
 * @description: 课表出参
 * @author: xw
 * @create: 2019-09-26 20:58
 */
@ApiModel(description = "课表出参")
public class CourseScheduleResponse implements Serializable {

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "上课时间")
    private String classTime;

    @ApiModelProperty(value = "声部名称")
    private List<String> subjectName;

    @ApiModelProperty(value = "上课老师")
    private String teacher;

    @ApiModelProperty(value = "最后提交时间")
    private String lastCommitDate;

    @ApiModelProperty(value = "到课比")
    private String attendanceRate;

    @ApiModelProperty(value = "请假人数")
    private Integer leaveNum;

    @ApiModelProperty(value = "已上课时")
    private String alreadyInClass;

    @ApiModelProperty(value = "学生人数")
    private Integer studentNum;

    @ApiModelProperty(value = "退团人数")
    private Integer leagueNum;
    @ApiModelProperty(value = "课程id")
    private Long id;

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getClassTime() {
        return classTime;
    }

    public void setClassTime(String classTime) {
        this.classTime = classTime;
    }

    public List<String> getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(List<String> subjectName) {
        this.subjectName = subjectName;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getLastCommitDate() {
        return lastCommitDate;
    }

    public void setLastCommitDate(String lastCommitDate) {
        this.lastCommitDate = lastCommitDate;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public Integer getLeaveNum() {
        return leaveNum;
    }

    public void setLeaveNum(Integer leaveNum) {
        this.leaveNum = leaveNum;
    }

    public String getAlreadyInClass() {
        return alreadyInClass;
    }

    public void setAlreadyInClass(String alreadyInClass) {
        this.alreadyInClass = alreadyInClass;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getLeagueNum() {
        return leagueNum;
    }

    public void setLeagueNum(Integer leagueNum) {
        this.leagueNum = leagueNum;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
